PYSEC-2024-49

Import Source
https://github.com/pypa/advisory-database/blob/main/vulns/lektor/PYSEC-2024-49.yaml
Aliases
Published
2024-03-27T06:15:00Z
Modified
2024-03-27T22:26:42.654662Z
Details

Lektor before 3.3.11 does not sanitize DB path traversal. Thus, shell commands might be executed via a file that is added to the templates directory, if the victim's web browser accesses an untrusted website that uses JavaScript to send requests to localhost port 5000, and the web browser is running on the same machine as the "lektor server" command.

References

Affected packages

PyPI / lektor

Package

Name
lektor

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
3.3.11

Affected versions

0.*

0.96

1.*

1.0
1.1
1.2
1.2.1

2.*

2.0
2.1
2.2
2.3

3.*

3.0
3.0.1
3.1.0.dev1
3.1
3.1.1
3.1.2
3.1.3
3.2.dev0
3.2.0
3.2.1
3.2.2
3.2.3
3.3.0
3.3.1
3.3.2
3.3.3
3.3.4
3.3.5
3.3.6
3.3.7
3.3.8
3.3.9
3.3.10